# CMAKE generated file: DO NOT EDIT!
# Generated by "MinGW Makefiles" Generator, CMake Version 3.31

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

SHELL = cmd.exe

# The CMake executable.
CMAKE_COMMAND = D:\CMake\bin\cmake.exe

# The command to remove a file.
RM = D:\CMake\bin\cmake.exe -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = D:\VSworkspace\cmaketest5

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = D:\VSworkspace\cmaketest5\build

# Include any dependencies generated for this target.
include CMakeFiles/sba_server.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include CMakeFiles/sba_server.dir/compiler_depend.make

# Include the progress variables for this target.
include CMakeFiles/sba_server.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/sba_server.dir/flags.make

CMakeFiles/sba_server.dir/codegen:
.PHONY : CMakeFiles/sba_server.dir/codegen

CMakeFiles/sba_server.dir/main.cpp.obj: CMakeFiles/sba_server.dir/flags.make
CMakeFiles/sba_server.dir/main.cpp.obj: CMakeFiles/sba_server.dir/includes_CXX.rsp
CMakeFiles/sba_server.dir/main.cpp.obj: D:/VSworkspace/cmaketest5/main.cpp
CMakeFiles/sba_server.dir/main.cpp.obj: CMakeFiles/sba_server.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=D:\VSworkspace\cmaketest5\build\CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Building CXX object CMakeFiles/sba_server.dir/main.cpp.obj"
	D:\mingw64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/sba_server.dir/main.cpp.obj -MF CMakeFiles\sba_server.dir\main.cpp.obj.d -o CMakeFiles\sba_server.dir\main.cpp.obj -c D:\VSworkspace\cmaketest5\main.cpp

CMakeFiles/sba_server.dir/main.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/sba_server.dir/main.cpp.i"
	D:\mingw64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E D:\VSworkspace\cmaketest5\main.cpp > CMakeFiles\sba_server.dir\main.cpp.i

CMakeFiles/sba_server.dir/main.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/sba_server.dir/main.cpp.s"
	D:\mingw64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S D:\VSworkspace\cmaketest5\main.cpp -o CMakeFiles\sba_server.dir\main.cpp.s

CMakeFiles/sba_server.dir/src/html.cpp.obj: CMakeFiles/sba_server.dir/flags.make
CMakeFiles/sba_server.dir/src/html.cpp.obj: CMakeFiles/sba_server.dir/includes_CXX.rsp
CMakeFiles/sba_server.dir/src/html.cpp.obj: D:/VSworkspace/cmaketest5/src/html.cpp
CMakeFiles/sba_server.dir/src/html.cpp.obj: CMakeFiles/sba_server.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=D:\VSworkspace\cmaketest5\build\CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building CXX object CMakeFiles/sba_server.dir/src/html.cpp.obj"
	D:\mingw64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/sba_server.dir/src/html.cpp.obj -MF CMakeFiles\sba_server.dir\src\html.cpp.obj.d -o CMakeFiles\sba_server.dir\src\html.cpp.obj -c D:\VSworkspace\cmaketest5\src\html.cpp

CMakeFiles/sba_server.dir/src/html.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/sba_server.dir/src/html.cpp.i"
	D:\mingw64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E D:\VSworkspace\cmaketest5\src\html.cpp > CMakeFiles\sba_server.dir\src\html.cpp.i

CMakeFiles/sba_server.dir/src/html.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/sba_server.dir/src/html.cpp.s"
	D:\mingw64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S D:\VSworkspace\cmaketest5\src\html.cpp -o CMakeFiles\sba_server.dir\src\html.cpp.s

CMakeFiles/sba_server.dir/src/json.cpp.obj: CMakeFiles/sba_server.dir/flags.make
CMakeFiles/sba_server.dir/src/json.cpp.obj: CMakeFiles/sba_server.dir/includes_CXX.rsp
CMakeFiles/sba_server.dir/src/json.cpp.obj: D:/VSworkspace/cmaketest5/src/json.cpp
CMakeFiles/sba_server.dir/src/json.cpp.obj: CMakeFiles/sba_server.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=D:\VSworkspace\cmaketest5\build\CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object CMakeFiles/sba_server.dir/src/json.cpp.obj"
	D:\mingw64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/sba_server.dir/src/json.cpp.obj -MF CMakeFiles\sba_server.dir\src\json.cpp.obj.d -o CMakeFiles\sba_server.dir\src\json.cpp.obj -c D:\VSworkspace\cmaketest5\src\json.cpp

CMakeFiles/sba_server.dir/src/json.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/sba_server.dir/src/json.cpp.i"
	D:\mingw64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E D:\VSworkspace\cmaketest5\src\json.cpp > CMakeFiles\sba_server.dir\src\json.cpp.i

CMakeFiles/sba_server.dir/src/json.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/sba_server.dir/src/json.cpp.s"
	D:\mingw64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S D:\VSworkspace\cmaketest5\src\json.cpp -o CMakeFiles\sba_server.dir\src\json.cpp.s

CMakeFiles/sba_server.dir/src/tools.cpp.obj: CMakeFiles/sba_server.dir/flags.make
CMakeFiles/sba_server.dir/src/tools.cpp.obj: CMakeFiles/sba_server.dir/includes_CXX.rsp
CMakeFiles/sba_server.dir/src/tools.cpp.obj: D:/VSworkspace/cmaketest5/src/tools.cpp
CMakeFiles/sba_server.dir/src/tools.cpp.obj: CMakeFiles/sba_server.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=D:\VSworkspace\cmaketest5\build\CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building CXX object CMakeFiles/sba_server.dir/src/tools.cpp.obj"
	D:\mingw64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/sba_server.dir/src/tools.cpp.obj -MF CMakeFiles\sba_server.dir\src\tools.cpp.obj.d -o CMakeFiles\sba_server.dir\src\tools.cpp.obj -c D:\VSworkspace\cmaketest5\src\tools.cpp

CMakeFiles/sba_server.dir/src/tools.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/sba_server.dir/src/tools.cpp.i"
	D:\mingw64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E D:\VSworkspace\cmaketest5\src\tools.cpp > CMakeFiles\sba_server.dir\src\tools.cpp.i

CMakeFiles/sba_server.dir/src/tools.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/sba_server.dir/src/tools.cpp.s"
	D:\mingw64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S D:\VSworkspace\cmaketest5\src\tools.cpp -o CMakeFiles\sba_server.dir\src\tools.cpp.s

CMakeFiles/sba_server.dir/src/yoursql.cpp.obj: CMakeFiles/sba_server.dir/flags.make
CMakeFiles/sba_server.dir/src/yoursql.cpp.obj: CMakeFiles/sba_server.dir/includes_CXX.rsp
CMakeFiles/sba_server.dir/src/yoursql.cpp.obj: D:/VSworkspace/cmaketest5/src/yoursql.cpp
CMakeFiles/sba_server.dir/src/yoursql.cpp.obj: CMakeFiles/sba_server.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=D:\VSworkspace\cmaketest5\build\CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Building CXX object CMakeFiles/sba_server.dir/src/yoursql.cpp.obj"
	D:\mingw64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/sba_server.dir/src/yoursql.cpp.obj -MF CMakeFiles\sba_server.dir\src\yoursql.cpp.obj.d -o CMakeFiles\sba_server.dir\src\yoursql.cpp.obj -c D:\VSworkspace\cmaketest5\src\yoursql.cpp

CMakeFiles/sba_server.dir/src/yoursql.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/sba_server.dir/src/yoursql.cpp.i"
	D:\mingw64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E D:\VSworkspace\cmaketest5\src\yoursql.cpp > CMakeFiles\sba_server.dir\src\yoursql.cpp.i

CMakeFiles/sba_server.dir/src/yoursql.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/sba_server.dir/src/yoursql.cpp.s"
	D:\mingw64\bin\g++.exe $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S D:\VSworkspace\cmaketest5\src\yoursql.cpp -o CMakeFiles\sba_server.dir\src\yoursql.cpp.s

# Object files for target sba_server
sba_server_OBJECTS = \
"CMakeFiles/sba_server.dir/main.cpp.obj" \
"CMakeFiles/sba_server.dir/src/html.cpp.obj" \
"CMakeFiles/sba_server.dir/src/json.cpp.obj" \
"CMakeFiles/sba_server.dir/src/tools.cpp.obj" \
"CMakeFiles/sba_server.dir/src/yoursql.cpp.obj"

# External object files for target sba_server
sba_server_EXTERNAL_OBJECTS =

sba_server.exe: CMakeFiles/sba_server.dir/main.cpp.obj
sba_server.exe: CMakeFiles/sba_server.dir/src/html.cpp.obj
sba_server.exe: CMakeFiles/sba_server.dir/src/json.cpp.obj
sba_server.exe: CMakeFiles/sba_server.dir/src/tools.cpp.obj
sba_server.exe: CMakeFiles/sba_server.dir/src/yoursql.cpp.obj
sba_server.exe: CMakeFiles/sba_server.dir/build.make
sba_server.exe: CMakeFiles/sba_server.dir/linkLibs.rsp
sba_server.exe: CMakeFiles/sba_server.dir/objects1.rsp
sba_server.exe: CMakeFiles/sba_server.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=D:\VSworkspace\cmaketest5\build\CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Linking CXX executable sba_server.exe"
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles\sba_server.dir\link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/sba_server.dir/build: sba_server.exe
.PHONY : CMakeFiles/sba_server.dir/build

CMakeFiles/sba_server.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles\sba_server.dir\cmake_clean.cmake
.PHONY : CMakeFiles/sba_server.dir/clean

CMakeFiles/sba_server.dir/depend:
	$(CMAKE_COMMAND) -E cmake_depends "MinGW Makefiles" D:\VSworkspace\cmaketest5 D:\VSworkspace\cmaketest5 D:\VSworkspace\cmaketest5\build D:\VSworkspace\cmaketest5\build D:\VSworkspace\cmaketest5\build\CMakeFiles\sba_server.dir\DependInfo.cmake "--color=$(COLOR)"
.PHONY : CMakeFiles/sba_server.dir/depend

